#write metric into the pipeline
#   get-process | .\ametric.ps1 -mnn "processname" -mvv "handles" -longname "Windows`|Processes`|" 
#   Use any piped object as input, specify the metric with -mnn, specify the value with -mvv,  specify a long name with -longname

param( [string]$mnn = "name", [string]$mvv = "value",[string]$longName="Default`|") 
	 
process {
	foreach ($thing in $input) {	 
		 $mn = $longname + $thing."$mnn" + ":" + $mvv
		 $mv = $thing."$mvv"
		 $MetricObj = New-Object PSObject -Property @{
		 	 metricName = $mn
		 	 metricValue = $mv
		   } 
	       return $MetricObj
	}
 }
