$chome = "C:\Program Files (x86)\CA Wily\PowershellCollector"
$watchlist = get-content "$chome\process.watchlist"

$watchlist | %{$wlist = @{}} {if ($_ -match "(.*):(.*)") {$wlist[$matches[1]]=$matches[2];}}
 get-process | where { $wlist.contains($_.Name) } |
 foreach  { 
 	$metricName = "Sessions|" +$_.SessionId.toString() + "|CPU:Seconds"
	[Int]$metricValueInt = $_.CPU.toString()
	$metric = $metricName + "=" + $metricValueInt
	write-output $metric
	$metricName = "Sessions|" +$_.SessionId.toString() + "|Handles:Count"
	[Int]$metricValueInt = $_.Handles.toString()
	$metric = $metricName + "=" + $metricValueInt
	write-output $metric
	#$metricName = "Sessions|" +$_.SessionId.toString() + "|Physical Memory:Size"
	#[Long]$metricValueLong = $_.WorkingSet64.toString()
	#$metric = $metricName + "=" + $metricValueLong
	#write-output $metric
	#$metricName = "Sessions|" +$_.SessionId.toString() + "|Processor Time:Total"
	#[String]$metricValueStr = $_.TotalProcessorTime
	#$metric = $metricName + "=" + $metricValueStr 
	#write-output $metric
	#$metricName = "Sessions|" +$_.SessionId.toString() + "|Session:ID"
	#$metricValueStr = $_.SessionId.toString()
	#$metric = $metricName + "=" + $metricValueStr
	#write-output $metric
	}	
