if (!$wlist) {
	$scriptname = $myinvocation.InvocationName
	$logger.info($scriptname + " Creating process white list")
	$chome = "C:\Program Files (x86)\CA Wily\PowershellCollector"
	$watchlist = get-content "$chome\process.watchlist"
	$watchlist | %{$global:wlist = @{}} {if ($_ -match "(.*):(.*)") {$wlist[$matches[1]]=$matches[2];}}
	
}
 get-process | where { $wlist.contains($_.name) } |
 foreach  {
 	 $logger.debug($_)
 	 
 	#$metricName = "Processes|" +$_.name + "|CPU: Seconds Total"
	#Int]$metricValueInt = $_.CPU.toString()
	#$metric = $metricName + "=" + $metricValueInt
	#write-output $metric
	$metricName = "Processes|" +$_.name + ":Handle Count"
	[Int]$metricValueInt = $_.Handles.toString()
	$metric = $metricName + "=" + $metricValueInt
	write-output $metric
	$metricName = "Processes|" +$_.name + ":Physical Memory Size"
	[Long]$metricValueLong = $_.WorkingSet64.toString()
	$metric = $metricName + "=" + $metricValueLong
	write-output $metric
	$metricName = "Processes|" +$_.name + ":Processor Time Total"
	[String]$metricValueStr = $_.TotalProcessorTime
	$metric = $metricName + "=" + $metricValueStr 
	write-output $metric
	$metricName = "Processes|" +$_.name + ":Session ID"
	$metricValueStr = $_.SessionId.toString()
	$metric = $metricName + "=" + $metricValueStr
	write-output $metric
	}	
